OpenZWave Library: OpenZWave::Event Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
OpenZWave::Event Class Reference
Platform Abstraction Support

Platform-independent definition of event objects. More...

`#include <Event.h>`

Inheritance diagram for OpenZWave::Event:

## Public Member Functions
| Event ()
void | Set ()
void | Reset ()
Public Member Functions inherited from OpenZWave::Wait
void | AddWatcher (pfnWaitNotification_t _callback, void *_context)
void | RemoveWatcher (pfnWaitNotification_t _callback, void *_context)
Public Member Functions inherited from OpenZWave::Ref
| Ref ()
void | AddRef ()
int32 | Release ()

## Protected Member Functions
virtual bool | IsSignalled ()
bool | Wait (int32 _timeout)
| ~Event ()
Protected Member Functions inherited from OpenZWave::Wait
| Wait ()
virtual | ~Wait ()
void | Notify ()
virtual bool | IsSignalled ()=0
Protected Member Functions inherited from OpenZWave::Ref
virtual | ~Ref ()

## Friends
class | SerialControllerImpl
class | Wait

## Additional Inherited Members
Public Types inherited from OpenZWave::Wait
enum | { Timeout_Immediate = 0 , Timeout_Infinite = -1 }
typedef void(* | pfnWaitNotification_t) (void *_context)
Static Public Member Functions inherited from OpenZWave::Wait
static int32 | Single (Wait *_object, int32 _timeout=-1)
static int32 | Multiple (Wait **_objects, uint32 _numObjects, int32 _timeout=-1)

## Detailed Description

Platform-independent definition of event objects.

## Constructor & Destructor Documentation

## ◆ Event()

Event::Event | ( |  | ) |

Constructor. Creates a cross-platform event object equivalent to the Windows manual-reset event

## ◆ ~Event()

Event::~Event | ( |  | ) |
| protected

Destructor. Destroys the event object.

## Member Function Documentation

## ◆ IsSignalled()

bool Event::IsSignalled | ( |  | ) |
| protectedvirtual

Used by the Wait class to test whether the event is set.

Implements OpenZWave::Wait.

## ◆ Reset()

void Event::Reset | ( |  | ) |

Set the event to not signalled.

See also
  Set, Wait

## ◆ Set()

void Event::Set | ( |  | ) |

Set the event to signalled.

See also
  Reset, Wait

## ◆ Wait()

bool Event::Wait | ( | int32 | _timeout | ) |
| protected

Used by the Wait::Multiple method. returns true if the event signalled, false if it timed out

## Friends And Related Symbol Documentation

## ◆ SerialControllerImpl

friend class SerialControllerImpl
| friend

## ◆ Wait

friend class Wait
| friend

The documentation for this class was generated from the following files:

- Event.h
- Event.cpp